MySQL(MariaDB) 5.5/5.6のmysql clientの脆弱性( Riddle : CVE-2017-3305 )

03/17/2017にMySQL(MariaDB) 5.5/5.6のmysql clientの脆弱性情報( Riddle : CVE-2017-3305 )が公開されました。Riddle(Ridiculous Database Library Exploit)と名付けられて、特設サイトも出来ています。 今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。